<?php
include_once("class/core.class.php"); $box=$_GET[box]; if($box=="") $box=$_POST[box]; $box=addslashes(htmlspecialchars($box)); $iframe=$_GET[iframe]; if($iframe=="") $iframe=$_POST[iframe]; $iframe=addslashes(htmlspecialchars($iframe)); $v1=$_GET[v1]; if($v1=="") $v1=$_POST[v1]; $v1=addslashes(htmlspecialchars($v1)); $v2=$_GET[v2]; if($v2=="") $v2=$_POST[v2]; $v2=addslashes(htmlspecialchars($v2)); $v3=$_GET[v3]; if($v3=="") $v3=$_POST[v3]; $v3=addslashes(htmlspecialchars($v3)); $v4=$_GET[v4]; if($v4=="") $v4=$_POST[v4]; $v4=addslashes(htmlspecialchars($v4)); $v5=$_GET[v5]; if($v5=="") $v5=$_POST[v5]; $v5=addslashes(htmlspecialchars($v5)); if($iframe!="") echo "<html><head><base href=\"http://".$cdb[url]."\"><link href=css/style.css media=\"print, projection, screen\" rel=stylesheet type=text/css><script src=javascript/jquery.js type=text/javascript></script></head><body><div style=background-color:white;height:100%>"; if($box=="login") {
echo genTitel('02/16/13','Bitte einloggen');
?><form action=index.php method=post><input type=hidden name=d value="<?php echo $d; ?>"><input type=hidden name=u value="<?php echo $u; ?>"><input type=hidden name=s value="<?php echo $s; ?>"><table border=0 cellspacing=0 cellpadding=0>
<tr><td>Benutzername:</td><td><input type=text name=user style=width:150px></td></tr>
<tr><td>Passwort:</td><td><input type=password name=pass style=width:150px></td></tr>
<tr><td align=right colspan=2><input type=submit value=Login class=formbutton></td></tr>
<tr><td colspan=2><img src=icon/01/10/18.png width=10 height=10 align=absmiddle> <a href=<?php echo genURL('anmelden-form','index.php?d=anmelden'); ?> class=small>Регистрация</a></td></tr>
<tr><td colspan=2><img src=icon/04/10/33.png width=10 height=10 align=absmiddle> <a href=<?php echo genURL('passwort-vergessen','index.php?d=passwort'); ?> class=small>Забыли пароль?</a></td></tr>
</table></form>
<?php } elseif($iframe=="karte" && $i=="k") {
echo "<div id=map style=width:400px;height:250px></div><div id=nomap style=\"display:none;padding:5px;\">Von diesem Ort wurde keine Karte gefunden.</div>
<script src=\"http://maps.google.com/maps?file=api&amp;v=2.x&amp;key=".$cdb[gmkey]."\" type=text/javascript></script>
<script type=text/javascript>var map; jQuery(document).ready(function($) {
map = new GMap2(document.getElementById('map'));
map.addControl(new GSmallMapControl());
map.addControl(new GMapTypeControl());
map.geocoder = new GClientGeocoder();
lat = '48,9'.split(',')
var point = new GLatLng(parseFloat(lat[0]), parseFloat(lat[1]));
map.marker= new GMarker(point);
map.setCenter(point, 5);
map.marker.changed = false;
";
if($v2=="marker") echo "map.addOverlay(map.marker);";
echo "
map.marker.show();
map.geocoder.getLatLng('".$v1."',
function(point) { if (point) { map.checkResize(); map.setCenter(point, 12); map.marker.setPoint(point); map.marker.show(); map.marker.changed=true; } else {
document.getElementById('map').style.display='none';
document.getElementById('nomap').style.display='block';
}});});</script>"; } elseif($i=="k" && $iframe!="") { include("inc/".$iframe.".inc.php"); } elseif($iframe!="" && !$i) echo "<iframe src=\"box.php?iframe=".$iframe."&i=k&d=".$d."&s=".$s."&u=".$u."&o=".$o."&v1=".$v1."&v2=".$v2."&v3=".$v3."&v4=".$v4."&v5=".$v5."\" frameborder=0 width=400 height=250 marginwidth=0 marginheight=0 scrolling=no></iframe>"; if($iframe!="") echo "</div></body></html>"; ?>